c                               TOPIC VI (1)
c CONDITIONAL EXECUTION  
c*********************************************************************************
c The IF-Statement
c*********************************************************************************

c User selectable coordinate conversion
c Polar to Cartesian or vice versa
c List of variables:
c The integer variable DEICSN =1 means  user wants to do Polar to Cartesian
c                             =0 means  user wants to do Cartesian to Polar
c  Real X,Y are the cartesian coords'.
c  Real R, THETA are the Polar coord's.

        INTEGER DECISN
        REAL X,Y,R,THETA
        
        CALL DECIDE(DECISN)   !find out what the user wants to do

        IF(DECISN.EQ.1)THEN        !doing P to C
         CALL INPUT(X,Y)           !get X and Y
         CALL PTOC(X,Y,R,THETA)    !do the calculation POLAR TO CARTESIAN
         CALL OUTPUT(R,THETA)      !output R and Theta
        ELSE
         CALL INPUT(R,THETA)       !get R and Theta
         CALL CTOP(R,THETA,X,Y)    !do the calculation CARTESIAN TO POLAR
         CALL OUTPUT(X,Y)          !output X and Y
        ENDIF                      !done w/ calculation

        END

c Note indentation of statements. This is an important visual tool
c to identify if a given statement is in an IF block.


c========= * ========= * ========= * ========= * ========= * ========= * ========= * 
c some comments on the IF and its relational operators
c The available operators are  .EQ.  .NE.  .GT.  .LT.  .GE.  .LE.
c the operands are the items (variables or constants) on either side of
c the operator:   IF(DECISN.EQ.1)     DESCN and 1 are the operands
c other forms of IF are:

c       IF(BALANC.LT.PAYMNT)BALDUE=BALANC-PAYMNT              !logical IF

c Used when you want to execute a single statement if a condition is true,
c and continue with the rest of the program if it is false.


c  or

c       IF(PWD.NE.'GONZO')THEN           !IF BLOCK can end w/ ENDIF w/o ELSE
c        WRITE(*,*)'Incorrect password'
c        STOP                          !STOP terminates the program 
c       ENDIF

c Used when you want to execute several statements if a condition is true,
c and continue with the rest of the program if it is false.

c===========================================================================
c subroutine for Cartesian to polar coords with zero divide check
        SUBROUTINE CTOP(X,Y,R,TH)
        REAL X,Y,R,TH
        R=SQRT(X*X + Y*Y)

        IF(X.EQ.0.) THEN      !note 0. (in real mode) in this divide check
         TH=3.1415926/2.       !at x=0. theta is pi/2
         RETURN               !done
        ENDIF
        
c Note above how RETURN to the SUBROUTINE is like STOP
c to the whole program both can appear
c anywhere in the code as the need arises.
c RETURN simply returns control and its data to the caller.


c division is ok(that is denominator X is not zero) so proceed as usual        
        TH=ATAN(Y/X)
        RETURN
        END

c===========================================================================
c Please complete the other routines needed here
                                                                          



c ======= * ======== * ========= * ======= * ======== * ========= 
c REGISTER YOUR OWNERSHIP TO GET THE VIDEO TAPE & EXTRA LESSONS 
c IN TIME FOR WHEN YOU FINISH THE TOPICS PROVIDED HERE
c ======= * ======== * ========= * ======= * ======== * ========= 

