c                               TOPIC VII (2)
c NESTED DO LOOPS
c*********************************************************************************
c Many DO blocks can be used within larger DO-loops to repeat within larger
c cycles. An example of nested cycling is division of time: There are 60
c repeitions of seconds in every minute, and 60 minutes to an hour, 24 hours
c to a day, and so on. And every time a loop is done the higher loop counter
c increments to its next value and the smaller loop starts again. But the
c circuits of the loops should never intertsect. 
c*********************************************************************************

c Program calculates the 2nd thru 10th root of odd integers from 1 to 20

c IVAL is the number to takes the roots of
c ROOT is the root counter
c RESULT contains each root calculation. It is reused for all roots
c but it is printed before it is reused.

        INTEGER IVAL,ROOT
        REAL RESULT

        DO 10 IVAL=1,20,2                   !odd numbers 1,3,5,...,19
         WRITE(*,*)'The roots of ',IVAL     !heading
         DO 20 ROOT=2,10                    !range of roots (increment=+1)
          RESULT=(IVAL)**(1./REAL(ROOT))    !note intrinsic REAL conversion
          WRITE(*,*)ROOT, RESULT            !output results
20       CONTINUE                   !next root of same IVAL
         WRITE(*,*)                 !allow a little space between root groups
10      CONTINUE                    !next IVAL

        END

c Note indentation of statements. This is an important visual tool
c to identify which loop a given statement is in.


c======== * ======== * ======== * ======== * ======== * ======== * ======== * 
c REMINDER notes on arithmetic precedence of operations
c  Exponentiation    **         1  (Highest)
c  Mult.  Division    *  /      2
c  Add./Subtr./Negation  + -    3  (Lowest)

c Parentheses override all default precedences
c examples:
c       3*7+5   is equivalent to   (3*7)+5
c       -x**y                      -(x**y)
c       x1+x2/2                    x1+(x2/2) 
c       area/g-qu**2**m            (area/g)-(qu**(2**m))

c Not allowed:  1. Division by Zero
c               2. Raising zero to a negative power
c               3. Raising begative numbers to a non-whole power.


c ======= * ======== * ========= * ======= * ======== * ========= 
c REGISTER YOUR OWNERSHIP TO GET THE VIDEO TAPE & EXTRA LESSONS 
c IN TIME FOR WHEN YOU FINISH THE TOPICS PROVIDED HERE
c ======= * ======== * ========= * ======= * ======== * ========= 

